## org.jfree.chart.block
Class EmptyBlock

    java.lang.Object
      org.jfree.chart.block.AbstractBlock
          org.jfree.chart.block.EmptyBlock

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, Block, org.jfree.ui.Drawable, org.jfree.util.PublicCloneable

    public class EmptyBlock

extends AbstractBlock
implements Block, java.lang.Cloneable, org.jfree.util.PublicCloneable, java.io.Serializable

An empty block with a fixed size.

See Also:
  Serialized Form

Constructor Summary
`EmptyBlock(double width, double height)` Creates a new block with the specified width and height.

Method Summary
`java.lang.Object` `clone()` Returns a clone of the block.
`void` `draw(java.awt.Graphics2D g2, java.awt.geom.Rectangle2D area)` Draws the block.
`java.lang.Object` `draw(java.awt.Graphics2D g2, java.awt.geom.Rectangle2D area, java.lang.Object params)` Draws the block within the specified area.

Methods inherited from class org.jfree.chart.block.AbstractBlock

`arrange, arrange, calculateTotalHeight, calculateTotalWidth, drawBorder, equals, getBorder, getBounds, getContentXOffset, getContentYOffset, getFrame, getHeight, getID, getMargin, getPadding, getWidth, setBorder, setBorder, setBounds, setFrame, setHeight, setID, setMargin, setMargin, setPadding, setPadding, setWidth, toContentConstraint, trimBorder, trimMargin, trimPadding, trimToContentHeight, trimToContentWidth`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jfree.chart.block.Block
`arrange, arrange, getBounds, getID, setBounds, setID`

Constructor Detail

### EmptyBlock

    public EmptyBlock(double width,
                      double height)

  Creates a new block with the specified width and height.

  Parameters:
    `width` - the width.
    `height` - the height.

Method Detail

### draw

    public void draw(java.awt.Graphics2D g2,
                     java.awt.geom.Rectangle2D area)

  Draws the block. Since the block is empty, this method does nothing.

  Specified by:
    `draw` in interface `org.jfree.ui.Drawable`
  Parameters:
    `g2` - the graphics device.
    `area` - the area.

### draw

    public java.lang.Object draw(java.awt.Graphics2D g2,
                                 java.awt.geom.Rectangle2D area,
                                 java.lang.Object params)

  Draws the block within the specified area. Since the block is empty, this method does nothing.

  Specified by:
    `draw` in interface `Block`
  Parameters:
    `g2` - the graphics device.
    `area` - the area.
    `params` - ignored (`null` permitted).
  Returns:
    Always `null`.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a clone of the block.

  Specified by:
    `clone` in interface `org.jfree.util.PublicCloneable`
  Overrides:
    `clone` in class `AbstractBlock`
  Returns:
    A clone.
  Throws:
    `java.lang.CloneNotSupportedException` - if there is a problem cloning.